Page MenuHomePhabricator

Add hooks for customizing filtering.
Closed, ResolvedPublic

Description

To work with non-wikitext content (see bug 42064), AbuseFilter should provide hook points that allow other extensions to add special handling for custom content models. In particular:

  • One hook for generating pseudo-wikitext from a Content object, so text-based filtering can be applied to non-textual content.
  • One hook for adding / replacing variables that filters can work with, so the filter can make use of the Content object's structure in whatever way mjay be appropriate for that kind of content.

Version: unspecified
Severity: enhancement

Details

Reference
bz43635

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz43635.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Jan 4 2013, 3:56 PM

Fixed by Ibb9d4c9a

Denny added a comment.Aug 22 2013, 2:54 PM

Closed older resolved bugs as verified.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 6:07 PM